import Taro, { Component } from '@tarojs/taro'
import { Provider } from '@tarojs/redux'

import Index from './pages/index'
import save from './actions/nav'
import configStore from './store'

import './app.scss'

// 如果需要在 h5 环境中开启 React Devtools
// 取消以下注释：
// if (process.env.NODE_ENV !== 'production' && process.env.TARO_ENV === 'h5')  {
//   require('nerv-devtools')
// }

const store = configStore()
class App extends Component {

  config = {
    pages: [
      'pages/index/index',
      'pages/citySelect/index'
    ],
    permission: {
      "scope.userLocation": {
        "desc": "你的位置信息将用于小程序位置接口的效果展示"
      }
    },
    window: {
      backgroundTextStyle: 'light',
      navigationBarBackgroundColor: '#fff',
      navigationBarTitleText: 'WeChat',
      navigationBarTextStyle: 'black',
      navigationStyle: 'custom',
    }
  }

  componentDidMount () {
    Taro.login({
      success: function (res) {
        console.log('res...', res)
      }
    })
    let menuButtonObject = Taro.getMenuButtonBoundingClientRect();
    Taro.getSystemInfo({
      success: res => {
        let globalData = {}
        let statusBarHeight = res.statusBarHeight,
          navTop = menuButtonObject.top,//胶囊按钮与顶部的距离
          navHeight = statusBarHeight + menuButtonObject.height + (menuButtonObject.top - statusBarHeight)*2;//导航高度
        globalData.navHeight = navHeight;
        globalData.navTop = navTop;
        globalData.windowHeight = res.windowHeight;
        globalData.navRight = res.windowWidth - menuButtonObject.right;
        store.dispatch(save(globalData))
      },
      fail(err) {
        console.log(err);
      }
    })
  }

  componentDidShow () {}

  componentDidHide () {}

  componentDidCatchError () {}

  // 在 App 类中的 render() 函数没有实际作用
  // 请勿修改此函数
  render () {
    return (
      <Provider store={store}>
        <Index />
      </Provider>
    )
  }
}

Taro.render(<App />, document.getElementById('app'))
