import Taro from '@tarojs/taro';
// import {formatPathQuery} from '@/util/base'
// import {fetchQrCodeInfo} from '@/api/qrcode';
import location from '@/helper/location';
import {getStore} from '@tarojs/redux';
import {setUserInfo} from '@/actions/user'
// import userAPI from '@/api/user';



export default class BaseComponent extends Taro.Component {
  fetchLocation() {
    return new Promise((resolve, reject) => {
      location.getLocation({type: 1, detail: true})
        .then(res => {
          let locationInfo = res || {};
          let user = this.props.user;
          let data = {
            current: {
              ...locationInfo
            }
          }
          // 疑问
          if (user && !user.city) {
            data = {...data, ...locationInfo};
          }
          
          this.props.setUserInfo && this.props.setUserInfo(data);
          resolve(res);
        }).catch(err => {
          // console.log(err);
          Taro.showToast({title: err.errorMessage || '定位失败'})
          reject(err);
        })
    })
  }

  login() {
    let store = getStore();
    Taro.getAuthCode({scopes: 'auth_base'})
      .then(authCode => {
        return userAPI.login({authCode: authCode})
      })
      .then(res => {
        let user = res.data || {};
        // user.hasPhone = 0;
        store.dispatch(setUserInfo(user));
      }).catch(err => {
        console.log('err...', err);
      })
  }

  commonQrcode(path){
    let params = formatPathQuery(path)
    //通用码逻辑
    if(params.from === 'qrcode'){
      fetchQrCodeInfo({
        qrCode: params.id
      }).then(res=>{
        if(res.success && res.data){
          if(params.type === 'store' && res.data.merchantId && res.data.storeId){
            Taro.navigateTo({
              url: `/pages/storeHome/index?merchantId=${res.data.merchantId}&storeId=${res.data.storeId}&storeName=${res.data.storeName||''}`
            })
          }
        }
      })
      /*Taro.navigateTo({
        url: `/pages/storeHome/index?merchantId=${store.merchantId}&storeId=${store.storeId}&storeName=${store.storeName}`
      })*/
    }
  }
}
