import Taro from '@tarojs/taro'
import BaseComponent from '@/helper/baseComponent';
import { View, Image, Text, Button } from '@tarojs/components'
import { connect } from '@tarojs/redux'
import { setUserInfo } from '@/actions/user'
import NavBar from '@/components/NavBar'
import './index.scss'


@connect(({ user, nav }) => ({
  user, nav
}), (dispatch) => ({
  setUserInfo (data) {
    dispatch(setUserInfo(data || {}))
  },
}))
class Index extends BaseComponent {

  config = {
    navigationBarTitleText: '首页'
  }

  state = {
    located: false
  }
  componentWillReceiveProps (nextProps) {
    console.log(this.props, nextProps)
  }

  componentWillUnmount () { }
  componentDidMount() {
    this.handleLocation();
  }
  componentDidShow () { }

  componentDidHide () { }

  // 获取地址权限
  handleLocation() {
    this.fetchLocation().then(res => {
      this.setState({located: true})
    }).catch(err => {
      this.setState({located: true})
    })
  }

  selectCity(){
    Taro.navigateTo({
      url: '/pages/citySelect/index'
    })
  }
  bindgetuserinfo (e) {
    console.log(e)
  }
  render () {
    const {nav} = this.props
    const titleTop = nav.globalData.navHeight - nav.globalData.navTop
    const {located} = this.state;
    const user = this.props.user;
    console.log('user', user)
    // const noLocation = located && (!user.longitude || !user.latitude);
    const noLoc = (!user || !user.longitude || !user.latitude);
    return (
      <View>
        <NavBar pageName='我是标题' bgColor='#fff' showNav={false}>
          <View
            style={`left:${nav.globalData.navRight}px;top:${titleTop}px;background-color:rgba(255,255,255,.6)`}
            className='city'
            onClick={this.selectCity}
          >
            <Image className='loc-icon' src='http://hh-oss-picture.miyapay.com/box/8dcd356a4ae1ff0c2c0ac9fd69733ab8.png' />
            <Text className={`${noLoc ? 'no-loc' : ''}`}>{noLoc ? '未获取定位' : user.city}</Text>
          </View>
        </NavBar>
        <Button onGetUserInfo={this.bindgetuserinfo} openType='getUserInfo'>获取授权</Button>
      </View>
    )
  }
}

export default Index
